//#####################################################################
// Copyright 2021, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Data_Structures/HASHTABLE.h>
#include "../STANDARD_TESTS_BASE.h"
namespace PhysBAM{
// TEST-NAME 18
// sand box drop, better paramaters, with Hencky, usage: mpm 18 -3d -resolution 100 -friction_angle 0.65 -cohesion 15
template<class T> void Function_18(STANDARD_TESTS_BASE<VECTOR<T,3> >& e)
{
    typedef VECTOR<T,3> TV;
    typedef VECTOR<int,3> IV;
}
template void Function_18(STANDARD_TESTS_BASE<VECTOR<float,3> >& e);
template void Function_18(STANDARD_TESTS_BASE<VECTOR<double,3> >& e);
}
