#!/bin/bash
rm 1pcfl-root-map.csv


for dt in $(seq .003 0.00001 0.008)
do
    CMD="../mpm 131spread -explicit -I 0 -I 1 -max_dt $dt -resolution 6"
    output=$($CMD)
    sounddt=$(echo "$output" | grep soundspeed | head -n 1 | awk '{print $2}')
    root=$(echo "$output" | grep store | awk '{print $3}')
    cfl=$(python3 -c "print($dt/$sounddt)")
    echo "$cfl, $root" | tee -a 1pcfl-root-map.csv
done

#octave:9> plot(x(:,1),x(:,2))
#octave:10> x = dlmread ("1pcfl-root-map.csv", ' ')

