#!/bin/bash
(
    # no change cflc1 is stable
    DIR=out_1Gsand1pdtsequence
    mkdir -p ${DIR}
    ../mpm 131singleparticle -explicit -I 3 -order 2 -T 0.5 -T 0.5 -no_C_bound -no_cfl_F -resolution 6 -last_frame 1000 -o ${DIR}/cfl_c_1 -num_substeps 14 &
    ../mpm 131singleparticle -explicit -I 3 -order 2 -T 0.5 -T 0.5 -no_C_bound -no_cfl_F -resolution 6 -last_frame 1000 -o ${DIR}/cfl_c_.8 -num_substeps 18 &
    ../mpm 131singleparticle -explicit -I 3 -order 2 -T 0.5 -T 0.5 -no_C_bound -no_cfl_F -resolution 6 -last_frame 1000 -o ${DIR}/cfl_p_1 -num_substeps 25 &
    wait
    (
        source common-func.sh
        renderA2G_indir ${DIR} 100
        play_videos $DIR
    )
)

# for i in * ; do echo $i ; grep "F mag" $i/common/log.txt | sort | grep -v e- | tail -n 5 ; done
