#!/bin/bash

# s2 apic
(
mkdir -p out_2B11shell-r-nu-cfl
r=.067; cfl=.95
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.005; cfl=.95
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.005; cfl=.9
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.0025; cfl=.9
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.0025; cfl=.8
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.0025; cfl=.7
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-single1  -T $r -single_particle_cfl -cfl_p 1  &
r=.001; cfl=.7
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-$cfl -cfl_c $cfl -T $r  &
r=.001;
../mpm 11shell -affine -explicit -3d -min_dt 1e-7 -order 2 -no_C_bound -no_cfl_F -framerate 120 -resolution 64 -nu .3  -o out_2B11shell-r-nu-cfl/output-$r-.3-single1  -T $r -single_particle_cfl -cfl_p 1  &
wait
for i in out_2B11shell-r-nu-cfl/*; do ../mpm2bgeo.sh $i & done
) | grep frame


