#!/bin/bash

(
    mkdir -p out_3-cfl-nu
    for cflc in .85 .88 .9 .95 ; do
        for nu in .2 .3 .45 ; do
            ../mpm 1test -T .3 -affine -explicit -min_dt 1e-7 -last_frame 1000 -order 2 -no_C_bound -no_cfl_F -resolution 32 -I 0 -o out_3-cfl-nu/out-$cflc-$nu -T .08 -cfl_c $cflc -nu $nu | grep 'END frame'  &
        done
    done
wait
)

# 1 = all bad
# .95 = all bad
# .9 = .2 ok
# .87 = .2 .3 ok
# .88 = .2 .3 ok
# .85 = all good
# .8 = all good


# .2 0.792968810361344
# .3 0.70613527239766
# .4 0.60412632668158

