#!/bin/bash

(
# Figure 2
./case2A-run1test.sh &

# Figure 5
./case2B-run11shell.sh &

# Figure 6
mkdir output_136
../mpm -3d -explicit 136fail2 -resolution 160 -min_dt 1e-7 -threads 32 -T -2 -T 1000 -T .1 -T .15 -framerate 240 -last_frame 200 -E 1e7 -nu .45 -o output_136/fail2_1pcfl -single_particle_cfl  >& log-1.txt &
../mpm -3d -explicit 136fail2 -resolution 160 -min_dt 1e-7 -threads 32 -T -2 -T 1000 -T .1 -T .15 -framerate 240 -last_frame 200 -E 1e7 -nu .45 -o output_136/fail2 >& log-2.txt &

# Figure 7
mkdir output_135
../mpm -explicit 135 -min_dt 1e-8 -resolution 256 -3d -last_frame 300 -T 1.5 -cfl_c 1 -E 1e7 -nu .45 -threads 16 -o output_135/apic135_1pt -single_particle_cfl -framerate 240  >& log-3.txt &
../mpm -explicit 135 -min_dt 1e-8 -resolution 256 -3d -last_frame 300 -T 1.5 -cfl_c 1 -E 1e7 -nu .45 -threads 16 -o output_135/apic135 -framerate 240  >& log-4.txt &

# Figure 8
mkdir output_133
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_1p -single_particle_cfl -no_cfl_F -no_C_bound -affine  >& log-5.txt &
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 300 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_.9 -no_cfl_F -no_C_bound -affine  >& log-6.txt &
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 300 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_.9ok -no_C_bound -affine  >& log-7.txt &

# Figure 9
mkdir output_138
../mpm -3d -resolution 192 138set1 -explicit -last_frame 200 -single_particle_cfl -threads 20 -scale_E .1 -framerate 48 -o output_138/sandset1  >& log-8.txt &

# Figure 10
mkdir output_139
../mpm -3d -explicit 139 -resolution 128 -framerate 120 -E 1e8 -threads 8 -o output_139/outres128_1pt -single_particle_cfl  >& log-9.txt &
../mpm -3d -explicit 139 -resolution 128 -framerate 120 -E 1e8 -threads 8 -o output_139/outres128  >& log-10.txt &
../mpm -3d -explicit 139 -resolution 192 -framerate 120 -E 1e8 -threads 16 -o output_139/outres192_1pt -single_particle_cfl  >& log-11.txt &
../mpm -3d -explicit 139 -resolution 192 -framerate 120 -E 1e8 -threads 16 -o output_139/outres192  >& log-12.txt &
../mpm -3d -explicit 139 -resolution 64 -framerate 120 -E 1e8 -threads 8 -o output_139/outres64_1pt -single_particle_cfl  >& log-13.txt &
../mpm -3d -explicit 139 -resolution 64 -framerate 120 -E 1e8 -threads 8 -o output_139/outres64  >& log-14.txt &
../mpm -3d -explicit 139 -resolution 96 -framerate 120 -E 1e8 -threads 8 -o output_139/outres96_1pt -single_particle_cfl  >& log-15.txt &
../mpm -3d -explicit 139 -resolution 96 -framerate 120 -E 1e8 -threads 8 -o output_139/outres96  >& log-16.txt &

wait
)

