#!/bin/bash


rm a
for i in $(seq -f "%f" .50 .01 .90)
do
    CMD="../mpm 131singleparticle -explicit -min_dt 1e-7 -order 2 -T .25 -T .25 -no_C_bound -no_cfl_F -resolution 6 -last_frame 1000 -suppress_output -cfl_c $i -cpic "
    echo $CMD
    origin_output=$($CMD)
    if echo "$origin_output" | grep -q "F magnitude: [^e]*$"
    then
        echo unstable
        flag=0
    else
        echo stable
        flag=1
    fi
    echo $i $flag | tee -a a
done

