#!/bin/bash


# mkdir -p out_test133
# for e in 10000 1000000
# do
# 	for n in .1 .3 .45
# 	do
# ../mpm -explicit 133 -resolution 256 -3d -T .499999 -cfl_c 1 -E $e -nu $n -threads 6 -o out_test133/out$e${n}_1pt -single_particle_cfl -cfl_p 1 | grep frame &
# done
# done

# out10000.45 can be used


if false
then
 (
mkdir -p out_test133_2
for e in .2 .5 1 2 4
do
	  for n in .1 .3 .45
	  do
        for t in .2 .5 1 2 4
        do
            echo ---------------------------------------------------------------------------
            echo e $e n $n t $t
            CMD=nice ../mpm -explicit 133 -resolution 32 -3d -last_frame 100 -T $t -cfl_c .9 -E $e -nu $n -threads 8  | head -n 120 | grep -e frame  -e Ratio -e actual -e "F mag"
            # -o out_test133_2/out$e$n
        done
    done
done
wait
)
fi

# they all don't splat
 # nohup nice ../mpm -explicit 133 -resolution 256 -3d -threads 8 -last_frame 50 -T .2 -cfl_c .9 -E 1 -nu .1  -o out_133e1nu.1v.2  &
 # nohup nice ../mpm -explicit 133 -resolution 256 -3d -threads 8 -last_frame 50 -T .499999 -cfl_c .9 -E 1 -nu .3  -o out_133e1nu.3v.5  &
 # nohup nice ../mpm -explicit 133 -resolution 256 -3d -threads 8 -last_frame 50 -T .499999 -cfl_c .9 -E 1 -nu .45 -o out_133e1nu.45v.5  &
 # nohup nice ../mpm -explicit 133 -resolution 256 -3d -threads 8 -last_frame 50 -T 1  -cfl_c .9 -E 2 -nu .45  -o out_133e2nu.45v1  &

# splat
# ../mpm -explicit 133 -resolution 32 -3d -last_frame 50 -T 35 -cfl_c .9 -E 1000 -nu .45


# not useful
# ../mpm -explicit 133 -resolution 32 -3d -last_frame 100 -T 1 -cfl_c .9 -E 4 -nu .45 # won't splat



mkdir -p output_133
if false; then
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/pic_.9    -no_cfl_F -no_C_bound  -no_affine
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_.9   -no_cfl_F -no_C_bound -affine
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_.9ok -no_C_bound -affine
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/cpic_.9   -no_cfl_F -no_C_bound -cpic
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/cpic_1p -single_particle_cfl -no_cfl_F -no_C_bound -cpic
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/pic_1p    -single_particle_cfl -no_cfl_F -no_C_bound  -no_affine &
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/apic_1p -single_particle_cfl -no_cfl_F -no_C_bound -affine &
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/cpic_.9ok -no_C_bound -cpic
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/cpic_1papic -single_particle_cfl -cfl_p 7.071067811865475e-01 -no_cfl_F -no_C_bound -cpic &
../mpm -explicit 133 -min_dt 1e-8 -resolution 256 -3d -last_frame 200 -T 10 -E 5000 -nu .49 -threads 8 -framerate 96 -o output_133/cpic_1p_Fbound -single_particle_cfl -no_C_bound -cpic
fi


# test ball hit wall
# ../mpm 134 -3d -explicit -min_dt 1e-7 -resolution 32 -T 50 -T 1000 -T .01 -E 1e7 -nu .4 -framerate 240 | grep vel
# nohup ../mpm 134 -3d -explicit -min_dt 1e-7 -resolution 256 -last_frame 200 -T 50 -T 1000 -T .01 -E 1e7 -nu .4 -framerate 240 -threads 8 -o output_134/nu.4vel50
# cs .. && ../mpm 134 -3d -explicit -min_dt 1e-7 -resolution 64 -T 300 -T 1000 -T .03 -E 1e6 -nu .49 -framerate 1240 | grep vel
