//#####################################################################
// Copyright 2006-2009, Jon Gretarsson, Geoffrey Irving, Nipun Kwatra, Craig Schroeder, Andrew Selle, Tamar Shinar, Eftychios Sifakis, Jonathan Su, Wen Zheng.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Class DEFORMABLES_STANDARD_TESTS
//#####################################################################
#ifndef __DEFORMABLES_STANDARD_TESTS__
#define __DEFORMABLES_STANDARD_TESTS__
#include <Core/Vectors/VECTOR.h>

namespace PhysBAM{

template<class TV> class DEFORMABLE_BODY_COLLECTION;
struct VIEWER_DIR;

template<class TV>
class DEFORMABLES_STANDARD_TESTS
{
protected:
    typedef typename TV::SCALAR T;typedef VECTOR<int,TV::m> IV;
public:
    DEFORMABLE_BODY_COLLECTION<TV>& deformable_body_collection;

    DEFORMABLES_STANDARD_TESTS(DEFORMABLE_BODY_COLLECTION<TV>& deformable_body_collection_input);

    template<class T_STRUCTURE>
    T_STRUCTURE& Copy_And_Add_Structure(T_STRUCTURE& structure,ARRAY<int>* particle_indices=0,bool delete_structure=true);
    template <class T_OBJECT> static void Set_Mass_Of_Particles(const T_OBJECT& volume,const T density,const bool use_constant_mass=false);
//#####################################################################
};
}
#endif
