//#####################################################################
// Copyright 2009, Jon Gretarsson.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// namespace TESSELLATION
//##################################################################### 
#ifndef __RANGE_TESSELLATION__
#define __RANGE_TESSELLATION__
#include <Core/Vectors/VECTOR.h>
#include <Geometry/Meshes/MESHES_FORWARD.h>
 
namespace PhysBAM{
template<class TV> class RANGE;

//#####################################################################
template<class T> TRIANGULATED_SURFACE<T>* Generate_Triangles(
    const RANGE<VECTOR<T,3> >& box,const VECTOR<int,3>& res=(VECTOR<int,3>()+1));
//#####################################################################
}
#endif
