//#####################################################################
// Copyright 2021, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Data_Structures/HASHTABLE.h>
#include "../STANDARD_TESTS_BASE.h"
namespace PhysBAM{
// TEST-NAME 104
// test fixed version of F!=I
template<class T> void Function_104(STANDARD_TESTS_BASE<VECTOR<T,2> >& e)
{
    typedef VECTOR<T,2> TV;
    typedef VECTOR<int,2> IV;
    e.Set_Grid(RANGE<TV>::Unit_Box()*e.m,IV()+1,10);
    e.reflection_bc=true;
    e.Add_Walls(-1,MPM::BC_SEP,0,0,false);
    // T density = 2*e.unit_rho*e.scale_mass;
    // T volume=e.grid.dX.Product()/e.particles_per_cell;
    // T mass=density*volume;
    // //input numbers
    // // random eps
    // T reps= e.random.Get_Uniform_Number(-0.2,0.2);
    // T eps=1e-6;

    // T young = 1e3*e.unit_p*e.scale_E; T poissons = 0.3;
    // COROTATED_FIXED<T,TV::m> corotated(young,poissons);
    // T lam=corotated.constant_lambda; T mu=corotated.constant_mu;
    // typedef MATRIX<T,2,2> M22;
    // RANGE<TV> box(TV(0,0)*e.m,TV(10,10)*e.m);

    // e.Seed_Particles_Uniform(box,
    //     [&e](const TV& X)
    //     {
    //         return eps*cos(X.Dot(Z))*u;
    //     },
    //     0,density,seed_grid,r0);
    // for(int p=0;p<e.particles.X.m;p++)
    // {
    //     e.particles.F(p)=eps*sin(e.particles.X(p).Dot(Z))*F;
    // }
    // e.Add_Fixed_Corotated(1e3*e.unit_p*e.scale_E,0.3);
    // // set Fp originally I   quantity with p on it- set them some where
    // e.Add_Callbacks(false,"time-step",[&e]()
    //     {
    //         T scale=e.particles.V.Magnitude();
    //         e.particles.V/=scale*1000;
    //         for(auto&f:e.particles.F) f=(f-1)/(scale*1000)+1;
    //         LOG::printf("scale: %p\n",scale);
    //     });
}
template void Function_104(STANDARD_TESTS_BASE<VECTOR<float,2> >& e);
template void Function_104(STANDARD_TESTS_BASE<VECTOR<double,2> >& e);
}
