#!/bin/bash
(
DIR=out_1A1pdtsequence
(
mkdir -p $DIR

CMD="../mpm 131singleparticle -explicit -order 2 -T .499999 -T .499999 -resolution 6 -no_C_bound -no_cfl_F -last_frame 1000 -write_save_velocity"


# CFL 0.91 0.81 0.69 0.60 0.58
# 1pt 1.53 1.36 1.17 1.02 0.98

for n in 16 18 21 24 25 ; do
    $CMD -o $DIR/out-$n -num_substeps $n &
done
wait
) | grep "frame"
)
# for apic spline2
# ns 14 cfl 1.03 1pcfl 1.75 1pt-soundcfl .591
# ns 15 cfl .966 1pcfl 1.63
# ns 16 cfl .906 1pcfl 1.53
# ns 17 cfl .853 1pcfl 1.44
# ns 18 cfl .805 1pcfl 1.36
# ns 19 cfl .763 1pcfl 1.29
# ns 20 cfl .725 1pcfl 1.22
# ns 21 cfl .690 1pcfl 1.16
# ns 22 cfl .659 1pcfl 1.11
# ns 23 cfl .630 1pcfl 1.06
# ns 24 cfl .604 1pcfl 1.02
# ns 25 cfl .580 1pcfl .980

# # how to get above
# source common-func.sh
# for n in {14..25}; do get_actual_sound_cfl "$CMD -num_substeps $n" $n; done; exit

# source common-func.sh
# for i in * ; do echo $i ; grep "F mag" $i/common/log.txt | sort -g -k 5 | tail -n 5 ; done
# for i in * ; do echo $i ; grep "vel" $i/common/log.txt | sort -g -k 3 | tail -n 5 ; done
# ../mpm 131singleparticle -explicit -order 2 -T .0 -T .0 -resolution 6 -no_C_bound -no_cfl_F -last_frame 100 -num_substeps 21 -affine | grep -e frame -e actual -e "F mag" -e Ratio

