#!/bin/bash
(
    DIR=out_1Fmodel
    mkdir -p ${DIR}
    (
        CMD="../mpm 131singleparticle -explicit -order 2 -write_save_velocity -T .25 -T .25 -no_C_bound -no_cfl_F -resolution 6 -last_frame 1000"
        $CMD -o ${DIR}/1p_.9CR -num_substeps 16 -I 2 &
        $CMD -o ${DIR}/1p_.9FC -num_substeps 16 -I 1 &
        $CMD -o ${DIR}/1p_.9NH -num_substeps 16 -I 0 &
        $CMD -o ${DIR}/1p_cflpCR -num_substeps 25 -I 2 &
        $CMD -o ${DIR}/1p_cflpFC -num_substeps 25 -I 1 &
        $CMD -o ${DIR}/1p_cflpNH -num_substeps 25 -I 0 &
        wait
    ) | grep frame


    (
        source common-func.sh
        renderA2G_indir ${DIR}
        play_videos $DIR
    )
)
