//#####################################################################
// Copyright 2009, Nipun Kwatra
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#ifndef __UNIFORM_GRID_FORWARD__
#define __UNIFORM_GRID_FORWARD__

namespace PhysBAM{

template<class TV> class GRID;

template<class T> class GRID_ITERATOR_BASE;
template<class T> class NODE_ITERATOR;
template<class T> class CELL_ITERATOR;
template<class T> class FACE_ITERATOR;

template<bool is_mac> struct GRID_TYPE{};
typedef GRID_TYPE<0> AT_NODES;
typedef GRID_TYPE<1> AT_CELLS;
static const GRID_TYPE<0> reg_grid_type,at_nodes;
static const GRID_TYPE<1> mac_grid_type,at_cells;

}
#endif
